View Issue Details

IDProjectCategoryView StatusLast Update
0036450FPCCompilerpublic2019-12-22 22:02
ReporterAlfredAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
PlatformDragonFlyOSOS Version
Product Version3.3.1Product Build 
Target VersionFixed in Version3.2.0 
Summary0036450: DragonFly patch for building compiler.
DescriptionSome small changes are needed to build FPC on DragonFly.

Included patch solves.
TagsNo tags attached.
Fixed in Revision43696, 43708
FPCOldBugId
FPCTarget-
Attached Files
  • dragonflysmall.patch (1,087 bytes)
    Index: compiler/systems/t_bsd.pas
    ===================================================================
    --- compiler/systems/t_bsd.pas	(revision 43661)
    +++ compiler/systems/t_bsd.pas	(working copy)
    @@ -168,7 +168,7 @@
     var
       LdProgram: string='ld';
     begin
    -  if target_info.system in systems_openbsd then
    +  if target_info.system in (systems_openbsd+[system_x86_64_dragonfly]) then
         LdProgram:='ld.bfd';
       LibrarySuffix:=' ';
       LdSupportsNoResponseFile := (target_info.system in ([system_m68k_netbsd]+systems_darwin));
    Index: utils/fppkg/fpmake.pp
    ===================================================================
    --- utils/fppkg/fpmake.pp	(revision 43661)
    +++ utils/fppkg/fpmake.pp	(working copy)
    @@ -8,7 +8,7 @@
     procedure add_fppkg_util(const ADirectory: string);
     
     const
    -  lnetOSes = [linux,beos,haiku,freebsd,netbsd,openbsd,darwin,iphonesim,solaris,win32,win64,wince,aix];
    +  lnetOSes = [linux,beos,haiku,freebsd,netbsd,openbsd,darwin,iphonesim,solaris,win32,win64,wince,aix,dragonfly];
       WindowsOSes = [win32,win64,wince];
     Var
       P : TPackage;
    
    dragonflysmall.patch (1,087 bytes)

Activities

Alfred

2019-12-17 07:59

reporter  

dragonflysmall.patch (1,087 bytes)
Index: compiler/systems/t_bsd.pas
===================================================================
--- compiler/systems/t_bsd.pas	(revision 43661)
+++ compiler/systems/t_bsd.pas	(working copy)
@@ -168,7 +168,7 @@
 var
   LdProgram: string='ld';
 begin
-  if target_info.system in systems_openbsd then
+  if target_info.system in (systems_openbsd+[system_x86_64_dragonfly]) then
     LdProgram:='ld.bfd';
   LibrarySuffix:=' ';
   LdSupportsNoResponseFile := (target_info.system in ([system_m68k_netbsd]+systems_darwin));
Index: utils/fppkg/fpmake.pp
===================================================================
--- utils/fppkg/fpmake.pp	(revision 43661)
+++ utils/fppkg/fpmake.pp	(working copy)
@@ -8,7 +8,7 @@
 procedure add_fppkg_util(const ADirectory: string);
 
 const
-  lnetOSes = [linux,beos,haiku,freebsd,netbsd,openbsd,darwin,iphonesim,solaris,win32,win64,wince,aix];
+  lnetOSes = [linux,beos,haiku,freebsd,netbsd,openbsd,darwin,iphonesim,solaris,win32,win64,wince,aix,dragonfly];
   WindowsOSes = [win32,win64,wince];
 Var
   P : TPackage;
dragonflysmall.patch (1,087 bytes)

Florian

2019-12-17 22:57

administrator   ~0119900

Thanks, applied.

Alfred

2019-12-18 08:53

reporter   ~0119906

Thanks.

The same patch allows fixes to be build on DragonFly, so it would be good to transport this towards fixes also.

Florian

2019-12-22 22:02

administrator   ~0120029

Merge to fixes.

Issue History

Date Modified Username Field Change
2019-12-17 07:59 Alfred New Issue
2019-12-17 07:59 Alfred File Added: dragonflysmall.patch
2019-12-17 22:57 Florian Assigned To => Florian
2019-12-17 22:57 Florian Status new => resolved
2019-12-17 22:57 Florian Resolution open => fixed
2019-12-17 22:57 Florian Fixed in Version => 3.3.1
2019-12-17 22:57 Florian Fixed in Revision => 43696
2019-12-17 22:57 Florian FPCTarget => -
2019-12-17 22:57 Florian Note Added: 0119900
2019-12-18 08:53 Alfred Status resolved => feedback
2019-12-18 08:53 Alfred Resolution fixed => reopened
2019-12-18 08:53 Alfred Note Added: 0119906
2019-12-22 22:02 Florian Status feedback => resolved
2019-12-22 22:02 Florian Fixed in Version 3.3.1 => 3.2.0
2019-12-22 22:02 Florian Fixed in Revision 43696 => 43696, 43708
2019-12-22 22:02 Florian Note Added: 0120029